/// <reference types="cypress" />
function goTo(n = 1) {
    return `.q-virtual-scroll__content > :nth-child(${n})`;
}
const firstRow = goTo();
`.q-virtual-scroll__content > :nth-child(2)`;
describe('Handle Items FixedPrice', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('developer');
        cy.visit('/#/item/fixed-price', { timeout: 5000 });
        cy.waitForElement('.q-table');
        cy.get(
            '.q-header > .q-toolbar > :nth-child(1) > .q-btn__content > .q-icon'
        ).click();
    });
    it('filter', function () {
        cy.get('.category-filter > :nth-child(1) > .q-btn__content > .q-icon').click();
        cy.selectOption('.list > :nth-child(2)', 'Alstroemeria');
        cy.get('.q-gutter-x-sm > .q-btn > .q-btn__content > .q-icon').click();

        cy.get('.q-page-sticky > div > .q-btn > .q-btn__content > .q-icon').click();
        cy.selectOption(`${firstRow} > :nth-child(2)`, '#13');
        cy.get(`${firstRow} > :nth-child(4)`).find('input').type(1);
        cy.get(`${firstRow} > :nth-child(5)`).find('input').type('2');
        cy.selectOption(`${firstRow} > :nth-child(9)`, 'Warehouse One');
        cy.get('.q-notification__message').should('have.text', 'Data saved');
        /* ==== End Cypress Studio ==== */
    });
    it('Create and delete ', function () {
        cy.get('.q-gutter-x-sm > .q-btn > .q-btn__content > .q-icon').click();
        cy.get('.q-page-sticky > div > .q-btn > .q-btn__content > .q-icon').click();
        cy.selectOption(`${firstRow} > :nth-child(2)`, '#11');
        cy.get(`${firstRow} > :nth-child(4)`).type('1');
        cy.get(`${firstRow} > :nth-child(5)`).type('2');
        cy.selectOption(`${firstRow} > :nth-child(9)`, 'Warehouse One');
        cy.get('.q-notification__message').should('have.text', 'Data saved');
        cy.get('.q-gutter-x-sm > .q-btn > .q-btn__content > .q-icon').click();
        cy.get(`${firstRow} > .text-right > .q-btn > .q-btn__content > .q-icon`).click();
        cy.get(
            '.q-card__actions > .q-btn--unelevated > .q-btn__content > .block'
        ).click();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });

    it('Massive edit', function () {
        cy.get(' .bg-header > :nth-child(1) > .q-checkbox > .q-checkbox__inner ').click();
        cy.get('#subToolbar > .q-btn--standard').click();
        cy.selectOption("[data-cy='field-to-edit']", 'Min price');
        cy.dataCy('value-to-edit').find('input').type('1');
        cy.get('.countLines').should('have.text', ' 1 ');
        cy.get('.q-mt-lg > .q-btn--standard').click();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });
    it('Massive remove', function () {
        cy.get(' .bg-header > :nth-child(1) > .q-checkbox > .q-checkbox__inner ').click();
        cy.get('#subToolbar > .q-btn--flat').click();
        cy.get(
            '.q-card__actions > .q-btn--unelevated > .q-btn__content > .block'
        ).click();
        cy.get('.q-notification__message').should('have.text', 'Data saved');
    });
});
